GET
/changelogList changelog entries
Returns changelog entries with optional filtering by published status
Parameters
| Name | In | Type | Description |
|---|---|---|---|
published | query | "true" | "false" | Filter by published status |
cursor | query | string | Pagination cursor for next page |
limit | query | integer | Items per page(default: 20) |
Response
List of changelog entries
Returns an array of objects:
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
titlerequired | string | |
contentrequired | string | |
publishedAtrequired | string | null | When the entry was published (null if draft) |
createdAtrequired | string | ISO 8601 timestamp |
updatedAtrequired | string | ISO 8601 timestamp |
Errors
401UnauthorizedExample request
curl \
"https://feedback.quackback.io/api/v1/changelog" \
-H "Authorization: Bearer qb_your_api_key_here"